Subject: Offline Message from Naazneen Mather: Hi Order# 100158684 It has been almost
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 07 Jul 2020 06:15:31 -0000

From: Naazneen Mather <[email-masked]>
Phone: 
Location: Jeddah, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/contact-us
Department: 

Hi
Order# 100158684

It has been almost a month that I purchased 2 car seats and a stroller from you- which I could have have purchased somewhere else with better customer care and service. 

I had twins and I am unable to go to doctors appointments with 2 babies!! 

From the 15th of June my items have apparently been shipped. 

I really don’t know what to do anymore. 

Your company said my order is with Barq Express. Upon talking to Barq Express ( and wasting my time) you guys created an shipment without handing the goods!! 
Barq Express comes to your company daily except on a Friday! Where is my shipment?

I paid an awful lot of money to Mumzworld to be given such poor service. 

All I am asking is for a representative to contact me to tell me where is my shipment??
Barq Express said they are waiting to receive my shipment as well. 
I have a track it number - but the courier company has no shipment !

Every time you say we will escalate your issue!! 

I am tired of hearing this all the time!!

----
Zopim
https://www.zopim.com